function print_color() {
  local color=$1
  shift
  echo -e "\033[${color}m$@\033[0m"
}

# 检查用户是否为root用户
if [ $(id -u) != 0 ]; then
    echo "\n请使用root权限执行 !"
    exit 1
fi

sleep 0.5

echo -e "\033[1;33;40mTG-:@santinbyyds\033[0m"
echo -e "\033[33;31m**************************************\033[0m"   	

sleep 0.5

cp -f libST.so /data/data/com.tencent.igce/
chmod 755 /data/data/com.tencent.igce/libST.so*

cp -f inject /data/data/com.tencent.igce/
chmod 777 /data/data/com.tencent.igce/inject*

# 检查文件是否存在并且权限为755
if [ -f /data/data/com.tencent.igce/libST.so ] && [ "$(stat -c '%a' /data/data/com.tencent.igce/libST.so)" = "755" ]; then
    echo "[+] 动态库文件正常"
else
    echo "[-] 动态库文件不正确"
    exit 1
fi

if [ -f /data/data/com.tencent.igce/inject ] && [ "$(stat -c '%a' /data/data/com.tencent.igce/inject)" = "777" ]; then
    echo "[+] 劫持文件正常"
else
    echo "[-] 劫持文件不正确"
    exit 1
fi

echo -e "\n"

print_color 41 "准备完毕!"

echo -e "\n"

sleep 0.5

# 启动游戏
am start com.tencent.igce/com.epicgames.ue4.SplashActivity

# 等待游戏加载（加长等待，确保完全启动）
sleep 10.0

echo -e "\n"

# 再执行注入
su -c /data/data/com.tencent.igce/inject -n com.tencent.igce -so /data/data/com.tencent.igce/libST.so
